MinExclusiveDocument (xmlbeans API)

org.apache.xmlbeans.impl.xb.xsdschema

## Interface MinExclusiveDocument

- All Superinterfaces:
    XmlObject, XmlTokenSource
  All Known Implementing Classes:
    MinExclusiveDocumentImpl

      public interface MinExclusiveDocument
      extends XmlObject

  A document containing one minExclusive(@http://www.w3.org/2001/XMLSchema) element. This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DocumentFactory<MinExclusiveDocument>` | `Factory`
    `static SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Facet` | `addNewMinExclusive()` Appends and returns a new empty "minExclusive" element
    `Facet` | `getMinExclusive()` Gets the "minExclusive" element
    `void` | `setMinExclusive(Facet minExclusive)` Sets the "minExclusive" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final DocumentFactory<MinExclusiveDocument> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getMinExclusive

          Facet getMinExclusive()

      Gets the "minExclusive" element

    - #### setMinExclusive

          void setMinExclusive(Facet minExclusive)

      Sets the "minExclusive" element

    - #### addNewMinExclusive

          Facet addNewMinExclusive()

      Appends and returns a new empty "minExclusive" element